
function Out = BSObj(g)

global VARMA H 

A0 = chol(VARMA.VARVCV,'lower');


if VARMA.Horizon < H
    error('MA coefficients exist for a number of horizons lower than H; either decrease H or increase the forcast horizon of the VAR above H');
end

N = VARMA.VARnvars;
B = VARMA.MAcoef;
SIG = VARMA.VARVCV;

e1 = eye(N,1);
gam2 = g;
Out = 0;
for h = 1:H
    Num2 = 0;
    Denom = 0;
    for t = 0:h
        Num2 = Num2 + e1'*(B(:,:,t+1)*A0*(gam2*gam2')*A0'*B(:,:,t+1)')*e1;
        Denom = Denom + e1'*(B(:,:,t+1)*SIG*B(:,:,t+1)')*e1;
    end
    Out = Out + Num2/Denom;
end
Out = -Out;
