
function FEVD = Vardecomp(VARMA, H, g)

A0 = chol(VARMA.VARVCV,'lower');
N = VARMA.VARnvars;
B = VARMA.MAcoef;
SIG = VARMA.VARVCV;

FEVD = zeros(N,2,H+1);
ej_1 = g(:,1); ej_2 = g(:,2);
for i = 1:N
    ei = zeros(N,1); ei(i) = 1;
    for h = 0:H
        Num1 = 0;
        Num2 = 0;
        Denom = 0;
        for t = 0:h
            Num1 = Num1 + ei'*(B(:,:,t+1)*A0*(ej_1*ej_1')*A0'*B(:,:,t+1)')*ei;
            Num2 = Num2 + ei'*(B(:,:,t+1)*A0*(ej_2*ej_2')*A0'*B(:,:,t+1)')*ei;
            Denom = Denom + ei'*(B(:,:,t+1)*SIG*B(:,:,t+1)')*ei;
        end
        FEVD(i,1,h+1) = Num1/Denom;
        FEVD(i,2,h+1) = Num2/Denom;
    end

end
            
