
function [Out, FEVD] = BSObj2(g2)

global VARMA H

A0 = chol(VARMA.VARVCV,'lower');


if VARMA.Horizon < H
    error('MA coefficients exist for a number of horizons lower than H; either decrease H or increase the forcast horizon of the VAR above H');
end

N = VARMA.VARnvars;
B = VARMA.MAcoef;
SIG = VARMA.VARVCV;
g1 = eye(N,1);
    e1 = eye(N,1);
    gam2 = g2;

    Out = 0;

    for h = 0:H
        Num2 = 0;
        Denom = 0;
        for t = 0:h
            Num2 = Num2 + e1'*(B(:,:,t+1)*A0*(gam2*gam2')*A0'*B(:,:,t+1)')*e1;
            Denom = Denom + e1'*(B(:,:,t+1)*SIG*B(:,:,t+1)')*e1;
        end
        Out = Out + Num2/Denom;
    end
    Out = -Out;
if nargout == 2
    FEVD = zeros(N,2,H);
    ej_1 = g1; ej_2 = g2;
    for i = 1:N
        ei = zeros(N,1); ei(i) = 1;
        for h = 1:H+1
            Num1 = 0;
            Num2 = 0;
            Denom = 0;
            for t = 0:h-1
                Num1 = Num1 + ei'*(B(:,:,t+1)*A0*(ej_1*ej_1')*A0'*B(:,:,t+1)')*ei;
                Num2 = Num2 + ei'*(B(:,:,t+1)*A0*(ej_2*ej_2')*A0'*B(:,:,t+1)')*ei;
                Denom = Denom + ei'*(B(:,:,t+1)*SIG*B(:,:,t+1)')*ei;
            end
            FEVD(i,1,h) = Num1/Denom;
            FEVD(i,2,h) = Num2/Denom;
        end
        
    end
            
end