clear all
close all
clc
delete *.asv

global H 

shock_type = 2;
H = 40;

load HD_MSSR.mat;
 
Rawdata = Hist_MSSR{1}.data;

for j= 1:R
   simuls_MSSR(:,:,j) =  Hist_MSSR{j}.histdcmp;
end
mediansim_MSSR = prctile(simuls_MSSR,50,3);


Lbl{1} = 'TFP';             Lbl{5} = 'Inflation';
Lbl{2} = 'Consumption';     Lbl{6} = 'Stock Prices';
Lbl{3} = 'Output';          Lbl{7} = 'Consumers Confidence';
Lbl{4} = 'Hours';


time = [1961.0:0.25:2019.75];
timep = [1961.25:0.25:2019.75];

      
figure(1)
subplot(3,1,1);
NBERbc(time, horzcat(diff(Rawdata(p+1:end,2)),diff(mediansim_MSSR(:,2))), {'-','-'}, [2 1], {'k','b'});
title(Lbl{2},'fontweight', 'normal')
legend({'NBER Recessions', 'Actual', 'Simulated'}, 'fontsize', 5, 'Location', 'best')
hold on
subplot(3,1,2);
NBERbc(time, horzcat(diff(Rawdata(p+1:end,3)),diff(mediansim_MSSR(:,3))), {'-','-'}, [2 1], {'k','b'});
title(Lbl{3},'fontweight', 'normal')
hold on
subplot(3,1,3);
NBERbc(time, horzcat(diff(Rawdata(p+1:end,4)),diff(mediansim_MSSR(:,4))), {'-','-'}, [2 1], {'k','b'});
title(Lbl{4},'fontweight', 'normal')
hold off

fig = gcf;
fig.PaperPositionMode = 'auto';
print(gcf,'-dpdf','HD_2019', '-bestfit');  

  

