
% Bias correction function (a la Kilian)
function Btild = VARIrbandstep1(VAR)

Bhat = VAR.Companion;
Y = VAR.data;
n = size(Bhat,2);
p = VAR.lag;
[T,m] = size(Y);
TT = T-p;
G = [VAR.VCV zeros(m, m*(p-1)); zeros(m*(p-1), m*p)];

meany = mean(Y);
YY = Y - repmat(meany, T,1);
Ut = [];
for i = 1:p
    Ut = [YY(i+1:TT+i,:) Ut];    
end

Gamma0 = (Ut(1:TT-1,:)'*Ut(1:TT-1,:))/(TT-1);

[~, lambd] = eig(Bhat);

% Computing the bias
temp = lambd(1)*eye(n)/(eye(n) - lambd(1)*Bhat');
for i = 2:n
    temp = temp + lambd(i)*eye(n)/(eye(n) - lambd(i)*Bhat');
end
b = G*(eye(n)/(eye(n) - Bhat') + Bhat'/(eye(n) - (Bhat')^2) + temp)/Gamma0;

Psihat = -b/TT; % this is the bias

%%%%%%%%%%%%% Modified to adapt to the codes of Kilian (Oct 4, 2015)
%%%%%%%%%%%%% (c) Laurent kemoe

mbtildi = 9;
deltai = 1;
while (mbtildi >= 1) 
    Btildi = Bhat - deltai*Psihat;
    Btild = Btildi;
    mbhat = abs(eig(Btildi));
    if any(mbhat >= 1)
        mbtildi = 1;
    else
        mbtildi = 0;
    end
    deltai = deltai - 0.01;
    if deltai <= 0
        mbtildi = 0;
    end
end