clear all
close all
clc
delete *.asv

load('ModelRF.mat')

t = 0:10;
tt = 10;
step = 2;
figure(1) % Surprise technology shock with annual data
subplot(3,3,1);shadedErrorBar(t,squeeze(100*SURPband(1,1:tt+1,1)),100*[squeeze(SURPband(1,1:tt+1,3)); squeeze(SURPband(1,1:tt+1,2))],{'-k', 'LineWidth',1.5},0)
title('Adjusted TFP', 'FontWeight', 'normal','fontsize', 7);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 7);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 7)
hold on
plot(t, zeros(size(t)),'-k')
hold off
subplot(3,3,2);shadedErrorBar(t,100*squeeze(SURPband(2,1:tt+1,1)),100*[squeeze(SURPband(2,1:tt+1,3)); squeeze(SURPband(2,1:tt+1,2))],{'-k', 'LineWidth',1.5},0)
hold on
plot(t, zeros(size(t)),'-k')
hold off
title('Consumption','FontWeight', 'normal','fontsize', 7);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 7);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 7)
subplot(3,3,3);shadedErrorBar(t,100*squeeze(SURPband(3,1:tt+1,1)),100*[squeeze(SURPband(3,1:tt+1,3)); squeeze(SURPband(3,1:tt+1,2))],{'-k', 'LineWidth',1.5},0)
hold on
plot(t, zeros(size(t)),'-k')
legend({'Confidence Bands','Estimated IRFs'},'Location','northeast', 'Fontsize', 4);
hold off
title('Output','FontWeight', 'normal','fontsize', 7);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 7);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 7)
subplot(3,3,4);shadedErrorBar(t,100*squeeze(SURPband(4,1:tt+1,1)),100*[squeeze(SURPband(4,1:tt+1,3)); squeeze(SURPband(4,1:tt+1,2))],{'-k', 'LineWidth',1.5},0)
hold on
plot(t, zeros(size(t)),'-k')
hold off
title('Hours','FontWeight', 'normal','fontsize', 7);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 7);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 7)
subplot(3,3,5);shadedErrorBar(t,100*squeeze(SURPband(5,1:tt+1,1)),100*[squeeze(SURPband(5,1:tt+1,3)); squeeze(SURPband(5,1:tt+1,2))],{'-k', 'LineWidth',1.5},0)
hold on
plot(t, zeros(size(t)),'-k')
hold off
title('Inflation','FontWeight', 'normal','fontsize', 7);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 7);set(gcf,'Renderer','Painters');ylabel('Percentage Points','fontsize', 7)
subplot(3,3,6);shadedErrorBar(t,100*squeeze(SURPband(6,1:tt+1,1)),100*[squeeze(SURPband(6,1:tt+1,3)); squeeze(SURPband(6,1:tt+1,2))],{'-k', 'LineWidth',1.5},0)
hold on
plot(t, zeros(size(t)),'-k')
hold off
title('Stock Prices','FontWeight', 'normal','fontsize', 7);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 7);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 7)
subplot(3,3,7);shadedErrorBar(t,squeeze(SURPband(7,1:tt+1,1)),[squeeze(SURPband(7,1:tt+1,3)); squeeze(SURPband(7,1:tt+1,2))],{'-k', 'LineWidth',1.5},0)
hold on
plot(t, zeros(size(t)),'-k')
hold off
title('Confidence','FontWeight', 'normal','fontsize', 7);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 7);set(gcf,'Renderer','Painters');ylabel('Points','fontsize', 7)

fig = gcf;
fig.PaperPositionMode = 'auto';
print(gcf,'-dpdf','BFK','-bestfit');
