clear all
close all
clc
delete *.asv

disp('Empirical impulse responses')

global VARMA A0 H 
% data

bsdata = xlsread('Annual data.xlsx', 'Annual Data');
tfp = bsdata(:,2);
out = bsdata(:,3);
nds = bsdata(:,4);
hrs = bsdata(:,5);
sp = bsdata(:,6);
e5y = bsdata(:,7);
inff = bsdata(:,8);

YY4 = [tfp nds out hrs inff sp e5y]; 

% settings and initializations

N = size(YY4,2);
p = 1;
H = 40;
const = 1;
Impact = 0;
R = 2000; % Number of boostrap replications
pct = 84; % percentile for confidence interval
IRSURP = zeros(N,H+1,R);
N = size(YY4,2);

% Estimations
j = 1;
while j <= R
    VARMA = VARIrband(VAREst(YY4, p, const), H, 0, Impact);
    A0 = (chol(VARMA.VARVCV,'lower'));
    B = VARMA.MAcoef;
    for i = 1:N
        for h = 0:H
            IRSURP(i,h+1,j) = B(i,:,h+1)*A0*eye(N,1);
        end
    end
    if mod(j,25) == 0
        clc
        disp(['Bootstrap iteration: ', num2str(round(j*100/R)), '% complete ...'])
    end 
    j = j+1;
end

SURPband = prctile(squeeze(IRSURP),[50 100-pct pct],3);
save('ModelRF.mat')


