
load ('Sim_data_CRS_BS')

t = 0:40;
tt = 40;

irf_a  = irf_a(1:tt+1)';
irf_y  = irf_y(1:tt+1)';
irf_pi  = irf_pi(1:tt+1)';

irf_an  = irf_an(1:tt+1)';
irf_yn  = irf_yn(1:tt+1)';
irf_pin  = irf_pin(1:tt+1)';

load ('Sim_data_IRS_BS')

t = 0:40;
tt = 40;

irf2_a  = irf2_a(1:tt+1)';
irf2_y  = irf2_y(1:tt+1)';
irf2_pi  = irf2_pi(1:tt+1)';

irf2_an  = irf2_an(1:tt+1)';
irf2_yn  = irf2_yn(1:tt+1)';
irf2_pin  = irf2_pin(1:tt+1)';


step = 5;
figure(1) 
subplot(2,3,1);shadedErrorBar(t,squeeze(100*SCRS_BS(1,1:tt+1,1)),100*[squeeze(SCRS_BS(1,1:tt+1,3)); squeeze(SCRS_BS(1,1:tt+1,2))],{'-k', 'LineWidth',2},0)
title('Measured TFP', 'FontWeight', 'normal','fontsize', 9);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 8)
hold on
plot(t, zeros(size(t)),'-k')
hold on
plot(t,100*irf_a, '--r', 'LineWidth',2)
hold off
subplot(2,3,2);shadedErrorBar(t,100*squeeze(SCRS_BS(2,1:tt+1,1)),100*[squeeze(SCRS_BS(2,1:tt+1,3)); squeeze(SCRS_BS(2,1:tt+1,2))],{'-k', 'LineWidth',2},0)
hold on
plot(t, zeros(size(t)),'-k')
hold on
plot(t,100*irf_y, '--r', 'LineWidth',2)
hold off
title({'\fontsize{11}{Model with Constant Returns to Scale}','','\fontsize{9}Output'}, 'FontWeight', 'normal', 'fontsize', 8);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 8)
subplot(2,3,3);shadedErrorBar(t,100*squeeze(SCRS_BS(3,1:tt+1,1)),100*[squeeze(SCRS_BS(3,1:tt+1,3)); squeeze(SCRS_BS(3,1:tt+1,2))],{'-k', 'LineWidth',2},0)
hold on
y1 = [-0.10 0];
plot(t,100*irf_pi, '--r', 'LineWidth',2)
plot(t, zeros(size(t)),'-k')
hold off
title('Inflation','FontWeight', 'normal','fontsize', 9);set(gca,'XTick',step:step:H, 'ylim', y1, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percentage Points','fontsize', 8)
legend({'Confidence Bands','Estimated Response','True Response'}, 'FontSize', 5, 'Location', 'southeast');

subplot(2,3,4);shadedErrorBar(t,squeeze(100*SIRS_BS(1,1:tt+1,1)),100*[squeeze(SIRS_BS(1,1:tt+1,3)); squeeze(SIRS_BS(1,1:tt+1,2))],{'-k', 'LineWidth',2},0)
title('Measured TFP', 'FontWeight', 'normal','fontsize', 9);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 8)
hold on
plot(t, zeros(size(t)),'-k')
hold on
plot(t,100*irf2_a, '--r', 'LineWidth',2)
hold off
subplot(2,3,5);shadedErrorBar(t,100*squeeze(SIRS_BS(2,1:tt+1,1)),100*[squeeze(SIRS_BS(2,1:tt+1,3)); squeeze(SIRS_BS(2,1:tt+1,2))],{'-k', 'LineWidth',2},0)
hold on
plot(t, zeros(size(t)),'-k')
hold on
plot(t,100*irf2_y, '--r', 'LineWidth',2)
hold off
title({'\fontsize{11}{Model with Increasing Returns to Scale}','','\fontsize{9}Output'}, 'FontWeight', 'normal', 'fontsize', 8);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 8)
subplot(2,3,6);shadedErrorBar(t,100*squeeze(SIRS_BS(3,1:tt+1,1)),100*[squeeze(SIRS_BS(3,1:tt+1,3)); squeeze(SIRS_BS(3,1:tt+1,2))],{'-k', 'LineWidth',2},0)
hold on
y1 = [-0.1 0.1];
plot(t,100*irf2_pi, '--r', 'LineWidth',2)
plot(t, zeros(size(t)),'-k')
hold off
title('Inflation','FontWeight', 'normal','fontsize', 9);set(gca,'XTick',step:step:H, 'ylim', y1, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percentage Points','fontsize', 8)
legend({'Confidence Bands','Estimated Response','True Response'}, 'FontSize', 5, 'Location', 'northeast');

fig = gcf;
fig.PaperPositionMode = 'auto';
print(gcf,'-dpdf','Surp_Sim','-bestfit');
