
load ('Sim_data_IRS_BS')
load ('Sim_data_IRS_MS')
t = 0:40;
tt = 40;
load ('Sim_data_IRS_MSSR')


irf2_an  = irf2_an(1:tt+1)';
irf2_yn  = irf2_yn(1:tt+1)';
irf2_pin  = irf2_pin(1:tt+1)';


step = 5;
figure(1) 
subplot(3,3,1);shadedErrorBar(t,squeeze(100*NIRS_BS(1,1:tt+1,1)),100*[squeeze(NIRS_BS(1,1:tt+1,3)); squeeze(NIRS_BS(1,1:tt+1,2))],{'-k', 'LineWidth',2},0)
title('Measured TFP', 'FontWeight', 'normal','fontsize', 9);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 8)
hold on
plot(t, zeros(size(t)),'-k')
hold on
plot(t,100*irf2_an, '--r', 'LineWidth',2)
hold off
subplot(3,3,2);shadedErrorBar(t,100*squeeze(NIRS_BS(2,1:tt+1,1)),100*[squeeze(NIRS_BS(2,1:tt+1,3)); squeeze(NIRS_BS(2,1:tt+1,2))],{'-k', 'LineWidth',2},0)
hold on
plot(t, zeros(size(t)),'-k')
hold on
plot(t,100*irf2_yn, '--r', 'LineWidth',2)
hold off
title({'\fontsize{11}{Barsky & Sims'' Approach}','','\fontsize{9}Output'}, 'FontWeight', 'normal', 'fontsize', 8);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 8)
subplot(3,3,3);shadedErrorBar(t,100*squeeze(NIRS_BS(3,1:tt+1,1)),100*[squeeze(NIRS_BS(3,1:tt+1,3)); squeeze(NIRS_BS(3,1:tt+1,2))],{'-k', 'LineWidth',2},0)
hold on
y1 = [-0.3 0.2];
plot(t,100*irf2_pin, '--r', 'LineWidth',2)
plot(t, zeros(size(t)),'-k')
hold off
title('Inflation','FontWeight', 'normal','fontsize', 9);set(gca,'XTick',step:step:H, 'ylim', y1, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percentage Points','fontsize', 8)
legend({'Confidence Bands','Estimated Response','True Response'}, 'FontSize', 5, 'Location', 'southeast');


subplot(3,3,4);shadedErrorBar(t,squeeze(100*NIRS_MS(1,1:tt+1,1)),100*[squeeze(NIRS_MS(1,1:tt+1,3)); squeeze(NIRS_MS(1,1:tt+1,2))],{'-k', 'LineWidth',2},0)
title('Measured TFP', 'FontWeight', 'normal','fontsize', 9);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 8)
hold on
plot(t, zeros(size(t)),'-k')
hold on
plot(t,100*irf2_an, '--r', 'LineWidth',2)
hold off
subplot(3,3,5);shadedErrorBar(t,100*squeeze(NIRS_MS(2,1:tt+1,1)),100*[squeeze(NIRS_MS(2,1:tt+1,3)); squeeze(NIRS_MS(2,1:tt+1,2))],{'-k', 'LineWidth',2},0)
hold on
plot(t, zeros(size(t)),'-k')
hold on
plot(t,100*irf2_yn, '--r', 'LineWidth',2)
hold off
title({'\fontsize{11}{Max Share Approach}','','\fontsize{9}Output'}, 'FontWeight', 'normal', 'fontsize', 8);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 8)
subplot(3,3,6);shadedErrorBar(t,100*squeeze(NIRS_MS(3,1:tt+1,1)),100*[squeeze(NIRS_MS(3,1:tt+1,3)); squeeze(NIRS_MS(3,1:tt+1,2))],{'-k', 'LineWidth',2},0)
hold on
y1 = [-0.3 0.2];
plot(t,100*irf2_pin, '--r', 'LineWidth',2)
plot(t, zeros(size(t)),'-k')
hold off
title('Inflation','FontWeight', 'normal','fontsize', 9);set(gca,'XTick',step:step:H, 'ylim', y1, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percentage Points','fontsize', 8)
legend({'Confidence Bands','Estimated Response','True Response'}, 'FontSize', 5, 'Location', 'southeast');


subplot(3,3,7);shadedErrorBar(t,squeeze(100*NIRS_MSSR(1,1:tt+1,1)),100*[squeeze(NIRS_MSSR(1,1:tt+1,3)); squeeze(NIRS_MSSR(1,1:tt+1,2))],{'-b', 'LineWidth',2},0)
title('Measured TFP', 'FontWeight', 'normal','fontsize', 9);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 8)
hold on
plot(t, zeros(size(t)),'-k')
hold on
plot(t,100*irf2_an, '--r', 'LineWidth',2)
hold off
subplot(3,3,8);shadedErrorBar(t,100*squeeze(NIRS_MSSR(2,1:tt+1,1)),100*[squeeze(NIRS_MSSR(2,1:tt+1,3)); squeeze(NIRS_MSSR(2,1:tt+1,2))],{'-b', 'LineWidth',2},0)
hold on
plot(t, zeros(size(t)),'-k')
hold on
plot(t,100*irf2_yn, '--r', 'LineWidth',2)
hold off
title({'\fontsize{11}{Agnostic Approach}','','\fontsize{9}Output'}, 'FontWeight', 'normal', 'fontsize', 8);set(gca,'XTick',step:step:H, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percent','fontsize', 8)
subplot(3,3,9);shadedErrorBar(t,100*squeeze(NIRS_MSSR(3,1:tt+1,1)),100*[squeeze(NIRS_MSSR(3,1:tt+1,3)); squeeze(NIRS_MSSR(3,1:tt+1,2))],{'-b', 'LineWidth',2},0)
hold on
y1 = [-0.3 0.2];
plot(t,100*irf2_pin, '--r', 'LineWidth',2)
plot(t, zeros(size(t)),'-k')
hold off
title('Inflation','FontWeight', 'normal','fontsize', 9);set(gca,'XTick',step:step:H, 'ylim', y1, 'Box','on','fontsize', 8);set(gcf,'Renderer','Painters');ylabel('Percentage Points','fontsize', 8)
legend({'Confidence Bands','Estimated Response','True Response'}, 'FontSize', 5, 'Location', 'southeast');

fig = gcf;
fig.PaperPositionMode = 'auto';
orient(fig,'landscape')
print(gcf,'-dpdf','News_Sim_Comp','-fillpage');
