
var
atilde
y 
pi
a       %log of the technology
nn      %news shock
c       %consumption

mc      % marginal cost
n       %labor
w       %wage
z

yf cf r wf nf

i   %nominal interest rate
;

varexo ea en ez;

parameters
beta        %discount factor
delta       %capital depreciation rate
alpha       %capital share of production
rho         %taylor rule smoothing coefficient
phi_pi      %taylor rule inflation response
phi_y       %taylor rule output response
eta         %utility parameter
teta        %price stickiness
eps         %elasticity of substitution
alpha       %degree of returns to scale (in absolute value)
Bigtheta
rhoa
rhon
rhoz
;

%parameter values
alpha = -0.1;
eta=1;
beta=0.99;
teta=0.75;
eps = 6;
Bigtheta = (1-alpha)/(1-alpha+alpha*eps);
rho=0.0;
phi_pi=1.5;
phi_y = 0.125;

rhoa = 0.9420; // BS Methodology, our data (ends 2019)
rhon = 0.98;  
rhoz = 0.85;

model(linear);

%technology level stochastic process

a=rhoa*a(-1)+nn(-1)+ea;     %ea is the surprise shock
nn=rhon*nn(-1)+en;          %en is the news shock

z = rhoz*z(-1)+ez;

atilde=y-n;

0=c-c(+1)+i-pi(+1) + z;
y=c;
pi=(((1-teta*beta)*(1-teta))/teta)*Bigtheta*mc+beta*pi(+1);
y=a+(1-alpha)*n;
mc=w-y+n;
(1/eta)*n=w-c;
i=rho*i(-1)+(1-rho)*(phi_y*(y-yf)+phi_pi*pi);

0=cf-cf(+1)+r+z;
yf=cf;
yf=a+(1-alpha)*nf;
wf=yf-nf;
(1/eta)*nf=wf-cf;

end;

steady;

shocks;
var ea;
stderr 0.006033;
var en;
stderr 0.0001; 
var ez; stderr 0.01;
end;

//stoch_simul(irf=30, graph) atilde y pi;
stoch_simul (periods=20100,drop=100, irf = 80, nograph, simul_replic = 3500);






